package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjDcfxDzfc;

/**
 * 设计-地层分析—地质分层Service接口
 * 
 * @author
 * @date 2025-07-28
 */
public interface ISjDcfxDzfcService 
{
    /**
     * 查询设计-地层分析—地质分层
     * 
     * @param id 设计-地层分析—地质分层主键
     * @return 设计-地层分析—地质分层
     */
    public SjDcfxDzfc selectSjDcfxDzfcById(Long id);

    /**
     * 查询设计-地层分析—地质分层列表
     * 
     * @param sjDcfxDzfc 设计-地层分析—地质分层
     * @return 设计-地层分析—地质分层集合
     */
    public List<SjDcfxDzfc> selectSjDcfxDzfcList(SjDcfxDzfc sjDcfxDzfc);

    /**
     * 新增设计-地层分析—地质分层
     * 
     * @param sjDcfxDzfc 设计-地层分析—地质分层
     * @return 结果
     */
    public int insertSjDcfxDzfc(SjDcfxDzfc sjDcfxDzfc);

    /**
     * 修改设计-地层分析—地质分层
     * 
     * @param sjDcfxDzfc 设计-地层分析—地质分层
     * @return 结果
     */
    public int updateSjDcfxDzfc(SjDcfxDzfc sjDcfxDzfc);

    /**
     * 批量删除设计-地层分析—地质分层
     * 
     * @param ids 需要删除的设计-地层分析—地质分层主键集合
     * @return 结果
     */
    public int deleteSjDcfxDzfcByIds(Long[] ids);

    /**
     * 删除设计-地层分析—地质分层信息
     * 
     * @param id 设计-地层分析—地质分层主键
     * @return 结果
     */
    public int deleteSjDcfxDzfcById(Long id);
}
